Subject: Re: [PATCH RFC net-next v4 2/2] selftests/dpll: add DPLL system integration selftests

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Nov 2023 22:51:27 -0800

On Thu, 30 Nov 2023 17:46:37 +0000 Michalik, Michal wrote:
> > Did you try to run it in vmtest or virtme-ng?
> > https://www.youtube.com/watch?v=NT-325hgXjY
> > https://lpc.events/event/17/contributions/1506/attachments/1143/2441/virtme-ng.pdf
> > 
> > I'm thinking of using those for continuous testing, curious all 
> > the Python setup works okay with them.  
> 
> Very interesting idea, I didn't try to use those - will get familiar with that and
> see if I can make any improvements to go with vmtest/virtme-ng before I will send
> out the RFC v5.

LMK how it goes. I tried using both today and they work fine if I let
them build the kernel, but if I tried to use my own kernel build they
just hang :(

> > Did you see what the sdsi test does? It seems to assume everything 
> > is installed locally, without the venv. I wonder if that may be simpler
> > to get going with vmtest?  
> 
> To be honest I did not see that. I agree that this is a simpler solution, but I am
> not sure if that is not "too simple". What I mean, I'm not sure who wrote the sdsi
> tests, but maybe they were not aware about the Python best practices? Python used
> to be my first language, and I would vote for using the venvs if you asked me.
> I understand that it haven't been done before, but we are here to try to improve
> the things, yes? 

I think I already asked how long the setup takes but my only concern 
is that the setup will be slower, and less useful during development.

> Of course if you outvote me, I won't act as Tadeusz Rejtan in
> Matejko's painting "The Fall of Poland" and just remove the virtual environments. :)

:D
The infallible strategy of showing a nipple.
https://www.youtube.com/watch?v=lY0V65YWEIA&t=50s